Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.opstring
Class OAR

    java.lang.Object
      org.jini.rio.opstring.OAR

All Implemented Interfaces:
  Serializable

    public class OAR

extends Object
implements Serializable

Represents an OperationalString Archive (OAR).

See Also:
  Serialized Form

Field Summary
`static String` | `AUTOMATIC`
`static String` | `MANUAL`
`static String` | `OAR_ACTIVATION`
`static String` | `OAR_NAME`
`static String` | `OAR_OPSTRING`
`static String` | `OAR_VERSION`

Constructor Summary
`OAR(File file)` Create an OAR
`OAR(Manifest manifest)` Create an OAR

Method Summary
`String` | `getActivationType()` Get the activation type
`String` | `getCompoundName()` Get the name of the directory to store the OAR in
`String` | `getDeployDir()` Get the deployment directory path
`String` | `getName()` Get the OAR-Name attribute
`String` | `getOpStringName()` Get the OAR-OperationalString attribute
`URL` | `getURL()` Get the URL for the File that this OAR was created from.
`String` | `getVersion()`
`void` | `setDeployDir(String deployDir)` Set the deployment directory path
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OAR_NAME

    public static final String OAR_NAME

See Also:
  Constant Field Values

### OAR_VERSION

    public static final String OAR_VERSION

See Also:
  Constant Field Values

### OAR_OPSTRING

    public static final String OAR_OPSTRING

See Also:
  Constant Field Values

### OAR_ACTIVATION

    public static final String OAR_ACTIVATION

See Also:
  Constant Field Values

### AUTOMATIC

    public static final String AUTOMATIC

See Also:
  Constant Field Values

### MANUAL

    public static final String MANUAL

See Also:
  Constant Field Values

Constructor Detail

### OAR

    public OAR(File file)
        throws IOException

  Create an OAR

  Parameters:
    `file` - The OperationalString Archive File
  Throws:
    `IOException` - If the manifest cannot be read

### OAR

    public OAR(Manifest manifest)
        throws IOException

  Create an OAR

  Parameters:
    `manifest` - A Manifest to the oar
  Throws:
    `IOException` - If the manifest cannot be read

Method Detail

### getURL

    public URL getURL()
               throws MalformedURLException

  Get the URL for the File that this OAR was created from.

  Returns:
    A URL for the File that this OAR was created from. if the OAR was not created from a File, return null
  Throws:
    `MalformedURLException` - if the URL cannot be created

### getName

    public String getName()

  Get the OAR-Name attribute

  Returns:
    The OAR-Name attribute

### getVersion

    public String getVersion()

### getOpStringName

    public String getOpStringName()

  Get the OAR-OperationalString attribute

  Returns:
    The OAR-OperationalString attribute

### getCompoundName

    public String getCompoundName()

  Get the name of the directory to store the OAR in

  Returns:
    The directory name to extract the OAR into. The OAR-Name manifest attribute will be used to create a directory name the OAR will be copied to and extracted. If the OAR-Name has spaces ' ' in it, the spaces will be translated to '_' characters, ensuring there are no issues with directory name creation and accessibility. If the OAR-Version manifest entry has been provided, the version will be appended to the translated name

### setDeployDir

    public void setDeployDir(String deployDir)

  Set the deployment directory path

  Parameters:
    `deployDir` - The deployment directory path the OAR has been extracted to

### getDeployDir

    public String getDeployDir()

  Get the deployment directory path

  Returns:
    The deployment directory path the OAR has been extracted to

### getActivationType

    public String getActivationType()

  Get the activation type

  Returns:
    The activation type, either `Automatic` or `Manual`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.